﻿@charset "UTF-8";

/*轮播图*/
#swiper {
    width: 100%;
    height: 100vh;
}

#swiper .swiper-slide img {
    width: 100%;
    height: 100%;
    transform: scale(1.15);
    transition: 2.5s;
}

#swiper .swiper-slide-active img {
    transform: scale(1);
}

#swiper img {
    transform: scale(1.1);
}

#swiper .swiper-pagination {
    bottom: 0.3rem;
}

#swiper .swiper-pagination-bullet {
    width: 0.16rem;
    height: 0.16rem;
    margin: 0 0.08rem;
    background: #fff;
    opacity: 1;
    transition: .3s;
}

#swiper .swiper-pagination-bullet-active {
    width: 0.48rem;
    background: var(--varColor);
    border-radius: 0.16rem;
}

/*业务*/
.business {
    padding: 0.5rem 0;
    background: #F3FBFF;
    overflow: hidden;
}

.wrapper {
    padding: 0.4rem 0.25rem 0.26rem;
    background: rgba(255, 255, 255, 0.67);
    border-radius: 0.6rem;
}

.business .flex {
    gap: 0.24rem;
    margin-bottom: 0.24rem;
}

.business .flex .item {
    flex: 1;
    padding: 0 0.24rem;
}

.business .flex .item h2 {
    font-size: 0.36rem;
}

.business .flex .item h3 {
    font-size: 0.28rem;
    font-weight: normal;
}

.business .flex .item div {
    text-align: right;
    margin: 0.24rem 0 0.8rem;
}

.business .flex .item img {
    height: 1.37rem;
}

.business .flex .item p {
    color: #848383;
    padding: 0 0.8rem 0 0.2rem;
    border-left: 2px solid var(--varColor);
}

.business .flex .item ~ .img {
    width: 5.04rem;
}

.business .flex .img {
    position: relative;
    border-radius: 0.24rem;
}

.business .flex .img .txt {
    position: absolute;
    top: 0.15rem;
    right: 0.4rem;
    left: 0.4rem;
    color: #fff;
}

.business .flex .img .txt h1 {
    font-family: ApexMk2;
    font-size: 0.56rem;
}

.business .flex .img .txt h2 {
    font-size: 0.32rem;
}

.business .flex .img .txt p {
    font-size: clamp(13px, 0.15rem, 0.15rem);
    margin-top: 0.1rem;
}

.business .flex div.img .txt {
    width: 35%;
}

.business .flex .img .txt ul {
    margin-top: 0.4rem;
}

.business .flex .img .txt ul li {
    position: relative;
    padding: 0.1rem 0;
    border-bottom: 1px solid rgba(255, 255, 255, 0.19);
}

.business .flex .img .txt ul li::after {
    content: '→';
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    font-size: 0.24rem;
}

.business .flex .img .txt ul li a {
    color: #fff;
    font-size: clamp(14px, 0.16rem, 0.16rem);
}

.business .flex .img .txt ul li a span {
    margin-right: 0.1rem;
}

.business .flex .img .txt ul li a:hover {
    color: orangered;
    padding-left: 0.2rem;
}

/*案例*/
.case {
    overflow: hidden;
    margin-bottom: 1rem;
}

#case {
    margin-right: -50%;
    padding-right: 50%;
}

#case .swiper-slide .img {
    height: 6.8rem;
    border-radius: 0.16rem;
}

/*合作客户*/
.cooperative {
    position: relative;
    overflow: hidden;
}

.cooperative-info {
    position: absolute;
    top: 15%;
    left: 50%;
    transform: translateX(-50%);
    color: #fff;
    text-align: center;
}

.cooperative-info h2 {
    font-size: 0.36rem;
}

.cooperative-info span {
    font-size: 0.28rem;
}

.cooperative-info h1 {
    font-size: 0.77rem;
    font-family: ApexMk2;
    text-transform: uppercase;
    line-height: 0.85em;
    margin-top: 0.25rem;
}

.cooperative-info h3 {
    font-size: 1.35rem;
    font-family: D-DIN-PRO;
    line-height: 1em;
}

.cooperative-info h3 i {
    font-size: 1.05rem;
    font-style: normal;
}

.cooperative-info p {
    font-size: clamp(14px, 0.16rem, 0.16rem);
}

.sm-list {
    position: absolute;
    top: 30%;
    left: 50%;
    width: 50vw;
    height: 50vw;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    /*border: 2px solid rgba(255, 255, 255, 0.22);*/
    --radius: 25vw;
    z-index: 3;
    animation: myRotate 100s linear infinite;
}

.sm-list li {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 0.98rem;
    height: 0.98rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(255, 255, 255, 0.22);
    border-radius: 50%;
    border: 1px solid rgba(255, 255, 255, 0.22);
    transform: translate(-50%, -50%) rotate(var(--deg)) translateX(var(--radius)) rotate(calc(-1 * var(--deg)));
    transform-origin: center center;
    animation: myRotateChild 100s linear infinite;
}

.sm-list li:empty {
    opacity: 0.2;
}

.sm-list li img {
    width: 64%;
}

.md-list {
    width: 68vw;
    height: 68vw;
    --radius: 34vw;
    z-index: 2;
    animation: myRotateF 90s linear infinite;
}

.md-list li {
    width: 1.34rem;
    height: 1.34rem;
    animation: myRotateChildF 90s linear infinite;
}

.lg-list {
    width: 88vw;
    height: 88vw;
    --radius: 44vw;
    z-index: 1;
}

.lg-list li {
    width: 1.78rem;
    height: 1.78rem;
}

/*服务*/
.service {
    position: relative;
    padding: 0.85rem 0 1.65rem;
    background: #CADDFF url("../images/map.png") no-repeat left center;
    background-size: contain;
    z-index: 1;
    overflow: hidden;
}

.service-info {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.service-title {
    width: 50%;
}

.service-title h1 {
    font-size: 0.77rem;
    font-family: ApexMk2;
    color: rgba(165, 185, 219, 0.48);
    text-transform: uppercase;
    line-height: 0.85em;
}

.service-title div {
    text-align: right;
}

.service-title div h2 {
    font-size: 0.36rem;
}

.service-title div p {
    font-size: 0.28rem;
}

.service-list {
    gap: 0.34rem;
    margin-top: 0.8rem;
    flex-wrap: wrap;
    justify-content: right;
    width: 50%;
}

.service-list li a {
    display: block;
    width: 3.76rem;
    height: 2.73rem;
    padding: 0.25rem 0.2rem 0.25rem 0.3rem;
    border-radius: 0.24rem;
    background: #fff url("../images/service1.png") no-repeat right 0.2rem bottom 0.2rem;
    background-size: 1rem 1rem;
}

.service-list li:nth-child(2) a {
    background-image: url("../images/service2.png");
}

.service-list li:nth-child(3) a {
    background-image: url("../images/service3.png");
}

.service-list li:nth-child(4) a {
    background-image: url("../images/service4.png");
}

.service-list li a:hover {
    box-shadow: 0.08rem 0.08rem 0.08rem rgba(0, 0, 0, 0.1);
}

.service-list li a h2 {
    font-size: 0.28rem;
    color: var(--varColor);
}

.service-list li a h2 img {
    width: 0.18rem;
}

.service-list li p {
    color: #6982AF;
    margin: 0.15rem 0 0.8rem;
    width: 80%;
    height: 2.4em;
    line-height: 1.2em;
}

.service-list li span {
    color: var(--varColor);
    font-size: 0.28rem;
}

/*客户评价*/
.review {
    position: relative;
    margin: -0.6rem 0;
    background: linear-gradient(180deg, #DAE8FF 0%, #FFFFFF 100%);
    background-size: 11.02rem auto;
}

.review::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url("../images/light.png") no-repeat center bottom;
    background-size: 11rem auto;
    z-index: 7;
}

.review-info {
    position: absolute;
    top: 60%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 8;
}

.review-info h2 {
    font-size: 0.36rem;
}

.review-info p {
    color: #666;
    margin: 0.15rem 0 0.3rem;
    font-size: 0.28rem;
    line-height: 1.2em;
}

.review-info h1 {
    font-family: ApexMk2;
    font-size: 1.02rem;
    color: #E6ECF2;
    text-transform: uppercase;
    line-height: 0.87em;
    margin-bottom: 1rem;
}

#review {
    width: 7.04rem;
    margin: 0 auto;
}

#review img {
    border-radius: 0.16rem;
}

.review ul li {
    position: absolute;
    width: 1.3rem;
    border-radius: 50%;
    z-index: 9;
}

.review ul li:nth-of-type(1) {
    top: 25%;
    left: 16%;
}

.review ul li:nth-of-type(2) {
    top: 8%;
    left: 50%;
}

.review ul li:nth-of-type(3) {
    top: 21%;
    right: 18%;
}

.review ul li:nth-of-type(4) {
    top: 49%;
    right: 5%;
}

.review ul li:nth-of-type(5) {
    top: 50%;
    left: 17%;
}

.review ul li:nth-of-type(6) {
    top: 27%;
    left: 32%;
}

.review ul li:nth-of-type(7) {
    top: 35%;
    right: 23%;
}

.review ul li:nth-of-type(8) {
    top: 66%;
    right: 14%;
}

.review ul li p {
    position: absolute;
    top: 0;
    right: 0;
    color: #fff;
    font-size: 0.18rem;
    width: max-content;
    padding: 0.2rem 0.3rem;
    background: var(--varColor);
    border-radius: 0.16rem;
    transform: translate(calc(100% + 0.15rem), -50%);
    animation: myScale 6s linear infinite;
}

.review ul li p::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    border: 0.15rem solid transparent;
    border-bottom: 0.25rem solid var(--varColor);
    transform: translateX(-50%);
}

/*动画*/
@keyframes myRotate {
    to {
        transform: translate(-50%, -50%) rotate(360deg);
    }
}

@keyframes myRotateChild {
    to {
        transform: translate(-50%, -50%) rotate(var(--deg)) translateX(var(--radius)) rotate(calc(-1 * var(--deg) - 360deg));
    }
}

@keyframes myRotateF {
    to {
        transform: translate(-50%, -50%) rotate(-360deg);
    }
}

@keyframes myRotateChildF {
    to {
        transform: translate(-50%, -50%) rotate(var(--deg)) translateX(var(--radius)) rotate(calc(-1 * var(--deg) + 360deg));
    }
}

@keyframes myScale {
    from {
        transform: translate(calc(100% + 0.15rem), -50%) scale(0.5);
        opacity: 0.5;
    }
    50% {
        transform: translate(calc(100% + 0.15rem), -50%) scale(1);
        opacity: 1;
    }
}

@keyframes imgRotate {
    to {
        transform: rotate(360deg);
    }
}
